%undefine __libtoolize
%define qtdir /usr/lib/qt3

Name: sim-qt
Version: 0.9.3
Release: alt0.1
Serial:	1

Group: Networking/Instant messaging
Summary: SIM - Simple Instant Messenger (ICQ,KDE)
License: GPL
Packager: Albert R. Valiev <darkstar@altlinux.ru>

Url: http://sim-icq.sourceforge.net/

Source0: sim-%version.tar.bz2
Source1: sim-qt.menu

%define simsrc %_usrsrc/sim-source-%version/sim-source-%version.tar.bz2

Requires: sim-common libsim-qt = %version-%release sim-qt-plugins = %version-%release
Conflicts: sim

%add_findprov_lib_path %_datadir/apps/sim/plugins

BuildRequires: XFree86-devel XFree86-libs flex fontconfig freetype2 gcc-c++
BuildRequires: libGLU libGLwrapper libaudio libexpat-devel libjpeg-devel
BuildRequires: liblcms libmng libpng-devel libqt3-devel libsablotron-devel
BuildRequires: libssl-devel libstdc++-devel libxml2-devel libxslt-devel
BuildRequires: pkgconfig zlib-devel

%description
A simple ICQ client for X win system (requires QT,
can be build for KDE). It also runs under MS Windows.
Supported protocols: ICQ v8 (2001), Jabber, MSN, AIM.

%package -n lib%name
Group: Networking/Instant messaging
Summary: SIM - libraries
Conflicts: libsim

%description -n lib%name
This package contains libraries for Sim ICQ client

%package plugins
Group: Networking/Instant messaging
Summary: SIM - plugins
Conflicts: sim-plugins

%description plugins
This package contains plugins for Sim ICQ client.


%package -n sim-common
Group: Networking/Instant messaging
Summary: SIM - Simple Instant Messenger.
Obsoletes: sim-data sim-qt-data

%description -n sim-common
This package contains data files for SIM

%prep
%setup -q -n sim-%version

perl -pi -e "s/\.la/\.so/g" admin/acinclude.m4.in
perl -pi -e "s/\-pedantic//g" admin/acinclude.m4.in

export PATH=./:$PATH

[ -f admin/Makefile.common ] && make -f admin/Makefile.common

%build
export CXX=g++
export KDEDIR=%prefix
export QTDIR=%qtdir
export LDFLAGS="-lpthread"

%configure \
    --enable-shared \
    --disable-static \
    --disable-rpath \
    --disable-kde \
    --program-transform-name="" \
    --with-qt-dir=%qtdir \
    --with-xinerama

%make_build CXX=$CXX

%install
%make DESTDIR=$RPM_BUILD_ROOT install

install -d %buildroot/%_menudir
%__install %SOURCE1 %buildroot/%_menudir/%name

%post
%update_menus
%postun
%clean_menus

%files
%_bindir/*
%attr(644,root,root) %_menudir/%name
%_datadir/applnk/Internet/sim.desktop

%files -n lib%name
%_libdir/*.so*

%files plugins
%_datadir/apps/sim/plugins/*.so*

%files -n sim-common
%_datadir/apps/sim
%_iconsdir/*
%_datadir/locale/ru/LC_MESSAGES/*
%exclude %_datadir/apps/sim/plugins/*

%changelog
* Fri Jan 30 2004 Albert R. Valiev <darkstar@altlinux.ru> 1:0.9.3-alt0.1
- 0.9.3 20040130 cvs build

* Tue Jan 13 2004 Albert R. Valiev <darkstar@altlinux.ru> 1:0.9.2-alt1
- 0.9.2 release build

* Wed Dec 03 2003 Albert R. Valiev <darkstar@altlinux.ru> 1:0.9.2-alt0.1
- Updated to 0.9.2-20031203 cvs snapshot

* Tue Nov 04 2003 Albert R. Valiev <darkstar@altlinux.ru> 1:0.9.0-alt2
- Fixed login rate bug in icq plugin

* Mon Nov 03 2003 Albert R. Valiev <darkstar@altlinux.ru> 1:0.9.0-alt1
- sim-0.9.0 release

* Sat Nov 01 2003 Albert R. Valiev <darkstar@altlinux.ru> 1:0.9.0-alt0.13
- Fixed menu entry for sim-qt

* Mon Oct 27 2003 Albert R. Valiev <darkstar@altlinux.ru> 1:0.9.0-alt0.12
- Rebuild with sim-20031027 cvs snapshot

* Mon Oct 20 2003 Rider <rider@altlinux.ru> 1:0.9.0-alt0.11
- NMU: fix menu entry

* Tue Sep 23 2003 Albert R. Valiev <darkstar@altlinux.ru> 1:0.9.0-alt0.10
- Fixed conflicts (thanks to Sergey V. Turchin <zerg@altlinux.org> for help

* Mon Sep 22 2003 Albert R. Valiev <darkstar@altlinux.ru> 1:0.9.0-alt0.9
- Now data files are in sim-common package
- Now plugins are in sim-qt-plugins package
- Fixed conflicts and deps

* Sun Sep 21 2003 Albert R. Valiev <darkstar@altlinux.ru> 1:0.9.0-alt0.8
- Added conflicts with sim, libsim, sim-data
- Build from cvs 20030921

* Fri Sep 19 2003 Albert R. Valiev <darkstar@altlinux.ru> 1:0.9.0-alt0.7
- Fixed depends

* Thu Sep 18 2003 Albert R. Valiev <darkstar@altlinux.ru> 1:0.9.0-alt0.6
- Fixed buildrequires
- Enabled Jabber protocol build

* Thu Sep 18 2003 Albert R. Valiev <darkstar@altlinux.ru> 1:0.9.0-alt0.5
- Build from CVS 20030918
- translation fixes
- Makefile fixes

* Sun Sep 14 2003 Albert R. Valiev <darkstar@altlinux.ru> 1:0.9.0-alt0.4
- Build from CVS 20030914

* Tue Sep 09 2003 Albert R. Valiev <darkstar@altlinux.ru> 1:0.9.0-alt0.3
- Build from CVS 20030909

* Wed Sep 03 2003 Albert R. Valiev <darkstar@altlinux.ru> 1:0.9.0-alt0.2
- Build from CVS 20030903

* Fri Aug 29 2003 Albert R. Valiev <darkstar@altlinux.ru> 1:0.9.0-alt0.1
- Build from CVS 20030828

* Tue Aug 12 2003 Albert R. Valiev <darkstar@altlinux.ru> 1:0.8.3-alt1
- 0.8.3 Release build

* Sat Jun 14 2003 Albert R. Valiev <darkstar@altlinux.ru> 1:0.8.2-alt1
- Release build

* Mon Apr 21 2003 Albert R. Valiev <darkstar@altlinux.ru> 1:0.8.2-alt0.6
- BuildRequires fix

* Tue Apr 15 2003 Albert R. Valiev <darkstar@altlinux.ru> 1:0.8.2-alt0.5
- Fixed crash at startup

* Sun Apr 13 2003 Albert R. Valiev <darkstar@altlinux.ru> 1:0.8.2-alt0.4
- New cvs snapshot build
- Fixed bug #0002387

* Fri Apr 04 2003 Albert R. Valiev <darkstar@altlinux.ru> 1:0.8.2-alt0.3
- Test for bug with libqt3-3.1.2

* Mon Mar 17 2003 Albert R. Valiev <darkstar@altlinux.ru> 1:0.8.2-alt0.2
- Build cvs snapshot for Sisyphus
- Add Bulgarian translation
- Add Hebrew translation
- Add random chat
- Add settings for groups
- Add GKrellM2 plugin
- Add French translation

* Mon Feb 24 2003 Albert R. Valiev <darkstar@altlinux.ru> 1:0.8.2-alt0.1
- Build cvs snapshot for Daedalus

* Sun Feb 02 2003 Albert R. Valiev <darkstar@altlinux.ru> 1:0.8.1-alt1
- downgrade to sim-0.8.1

* Mon Jan 20 2003 Albert R. Valiev <darkstar@altlinux.ru> 0.9-alt0.5
- Build cvs snapshot (2003.01.20)

* Sat Jan 04 2003 Albert R. Valiev <darkstar@altlinux.ru> 0.9-alt0.4
- Build cvs snapshot (2003.01.05)

* Thu Nov 28 2002 Albert R. Valiev <darkstar@altlinux.ru> 0.9-alt0.3
- Build CVS Snaphot (fixed some bugs)

* Sat Nov 16 2002 Albert R. Valiev <darkstar@altlinux.ru> 0.9-alt0.2
- menu files attr corrections

* Tue Nov 12 2002 Albert R. Valiev <darkstar@altlinux.ru> 0.9-alt0.1
- Build CVS snapshot (because current version incompatible with glibc)

* Sat Oct 26 2002 Albert R. Valiev <darkstar@altlinux.ru> 0.8-alt1
- New version

* Wed Oct 9 2002 Albert R. Valiev <darkstar@altlinux.ru> 0.7-alt3
- Spec corrections

* Wed Oct 9 2002 Albert R. Valiev <darkstar@altlinux.ru> 0.7-alt2
- Rebuild with new KDE requirements

* Thu Sep 12 2002 Sergey V Turchin <zerg@altlinux.ru> 0.7-alt1
- initial spec
